/* http://www.stm32asm.ru    *
 * ===== *
 * ===== *
 * ===== */

MEMORY
{
	ROM : ORIGIN = 0x08000000, LENGTH = 1024K
	MEMORY1 : ORIGIN = 0x20000000, LENGTH = 112K /*    */
	MEMORY2 : ORIGIN = 0x2001C000, LENGTH = 16K /*    */
	MEMORY3 : ORIGIN = 0x20020000, LENGTH = 64K /*   F42x  F43x,    */
	CCMDATARAM : ORIGIN = 0x10000000, LENGTH = 64K /*     CPU,    */
	BKPSRAM : ORIGIN = 0x40024000, LENGTH = 4K /* Backup SRAM,    */
}

SECTIONS
{


.text :
{
	. = ALIGN(4);
	*(.text)
	*(.code)
	. = ALIGN(4);
} >ROM


.preinit_array :
{
	. = ALIGN(4);
	*(.preinit_array)
	*(.constant)
	. = ALIGN(4);
} >ROM


.memory1 :
{
	. = ALIGN(1);
	*(.memory1)
	. = ALIGN(1);
} >MEMORY1


.memory2 :
{
	. = ALIGN(1);
	*(.memory2)
	. = ALIGN(1);
} >MEMORY2


.memory3 :
{
	. = ALIGN(1);
	*(.memory3)
	. = ALIGN(1);
} >MEMORY3


.bkpsram :
{
	. = ALIGN(1);
	*(.bkpsram)
	. = ALIGN(1);
} >BKPSRAM


.ccmdataram :
{
	. = ALIGN(1);
	*(.ccmdataram)
	. = ALIGN(1);
} >CCMDATARAM




} /*   */
